### Method

# Ggit RebaseOptions set_rewrite_notes_ref

#### Declaration [src]

    void
    ggit_rebase_options_set_rewrite_notes_ref (
      GgitRebaseOptions* rebase_options,
      const gchar* rewrite_notes_ref
    )

#### Description [src]

Used by ggit_rebase_finish(), this is the name of the notes reference used to rewrite notes for rebased commits when finishing the rebase; if `NULL`, the contents of the configuration option `notes.rewriteRef` is examined, unless the configuration option `notes.rewrite.rebase` is set to false. If `notes.rewriteRef` is also `NULL`, notes will not be rewritten.

#### Parameters

`rewrite_notes_ref`

  Type: `const gchar*`

  The name of the notes reference.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.